Bug 918661 - crash in routine Avogadro UI manipulation
Summary: crash in routine Avogadro UI manipulation
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa   
(Show other bugs)
Version: 18
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 17:03 UTC by Przemek Klosowski
Modified: 2014-02-05 19:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 19:43:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this patch fixes the problem (1.32 KB, patch)
2013-03-06 19:24 UTC, Brian Paul
no flags Details | Diff

Description Przemek Klosowski 2013-03-06 17:03:31 UTC
Description of problem:
Avogadro reliably SEGVs during simple UI manipulation. This is a fresh F18 install.

Version-Release number of selected component (if applicable):
avogadro-1.0.3-12.fc18.1.x86_64

How reproducible: every time


Steps to Reproduce:
1. start avogadro, import/fetch chemical structure/"adp"
2. click 'view', open another view
  
Actual results: SEGV

Expected results: no SEGV


Additional info:

Comment 1 Przemek Klosowski 2013-03-06 17:06:45 UTC
Program received signal SIGSEGV, Segmentation fault.
vbo_save_playback_vertex_list (ctx=0x19c51c0, data=0x1ad1298) at ../../src/mesa/vbo/vbo_save_draw.c:264
264	   if (save->vertex_store->buffer) {

because save->vertex_store is null

Top of gdb stack trace:

#0  vbo_save_playback_vertex_list (ctx=0x19c51c0, data=0x1ad1298) at ../../src/mesa/vbo/vbo_save_draw.c:264
#1  0x00007fffbef0f542 in ext_opcode_execute (node=0x1ad1290, ctx=0x19c51c0) at ../../src/mesa/main/dlist.c:619
#2  execute_list (ctx=0x19c51c0, list=<optimized out>) at ../../src/mesa/main/dlist.c:7695
#3  0x00007fffbef12faa in _mesa_CallList (list=12) at ../../src/mesa/main/dlist.c:9137
#4  0x00007ffff7936c0a in Avogadro::Cylinder::drawMulti (this=0x17484f0, end1=..., end2=..., 
    radius=<optimized out>, order=1, shift=<optimized out>, planeNormalVector=...)
    at /usr/src/debug/avogadro-1.0.3/libavogadro/src/cylinder_p.cpp:207
#5  0x00007ffff793118b in Avogadro::GLPainter::drawMultiCylinder (this=0x18f7c80, end1=..., end2=..., radius=
    0.10000000000000001, order=1, shift=0.14999999999999999)
    at /usr/src/debug/avogadro-1.0.3/libavogadro/src/glpainter_p.cpp:396
#6  0x00007ffff796eb0c in Avogadro::BSDYEngine::renderOpaque (this=0x1a5e080, pd=0x194c5a0)
    at /usr/src/debug/avogadro-1.0.3/libavogadro/src/engines/bsdyengine.cpp:146
#7  0x00007ffff791a3ea in Avogadro::GLWidget::render (this=0x1906360)
    at /usr/src/debug/avogadro-1.0.3/libavogadro/src/glwidget.cpp:762
#8  0x00007ffff79139ea in Avogadro::GLWidget::paintEvent (this=0x1906360)
    at /usr/src/debug/avogadro-1.0.3/libavogadro/src/glwidget.cpp:587
#9  0x0000003628e19efe in QWidget::event (this=0x1906360, event=0x7fffffffcfb0) at kernel/qwidget.cpp:8532
#10 0x000000363022f478 in QGLWidget::event (this=0x1906360, e=0x7fffffffcfb0) at qgl.cpp:4407
#11 0x0000003628dca5cc in QApplicationPrivate::notify_helper (this=this@entry=0x6cb060, 
    receiver=receiver@entry=0x1906360, e=e@entry=0x7fffffffcfb0) at kernel/qapplication.cpp:4562
#12 0x0000003628dcea4a in QApplication::notify (this=0x7fffffffddd0, receiver=0x1906360, e=0x7fffffffcfb0)
    at kernel/qapplication.cpp:4423

Comment 2 Brian Paul 2013-03-06 19:24:28 UTC
Created attachment 706216 [details]
this patch fixes the problem

Will commit to Mesa/master and older branches after it's reviewed.

Comment 3 Kevin Kofler 2013-03-07 00:21:14 UTC
This is clearly a Mesa bug. A patch for Mesa is provided in comment #2. Reassigning.

Comment 4 Brian Paul 2013-03-19 14:18:16 UTC
Fixed with Mesa commit c2665aacdd14beec9580246736c602e3ff04d7ae.
This should be in Mesa 9.1.1 and later.
I don't see how to close this bug.

Comment 5 Kevin Kofler 2013-03-19 15:03:56 UTC
9.1.1 isn't even in Rawhide yet, I suggest we keep this open as long as this is not resolved in Fedora.

Comment 6 Fedora End Of Life 2013-12-21 11:55:48 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2014-02-05 19:43:11 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.